#ifndef VOZILO_H
#define VOZILO_H

#include <string>

using namespace std;

class Vozilo 
{
	private:
		float hitrost; // trenutna hitrost vozila
		float maks;    // maksimalna hitrost vozila
		string ime;  // ime vozila
	public:
		// konstruktor za ustvarjanje vozila
		// podatki: ime vozila in njegova maksimalna hitrost (km/h)
		Vozilo(string imeVozila, float maksHitrost);

		// metoda za ustavljanje vozila (nastavi hitrost na 0)
		void ustavi();
		
		// metoda za ispis podatkov o vozilu
		void izpisi();
	
		// metoda, ki spremeni hitrost vozila
		// podatek: sprememba hitrosti (km/h)
		// za zaviranje naj uporabnik vnese negativno vrednost
		void pospesi(float koliko);
		
		// metoda, ki izracuna cas potreben, da vozilo dohiti drugo
		// podatki: drugo vozilo in razdalja med voziloma (km)
		float casDohitevanja(Vozilo drugo, float prednost);

		// metoda, ki izracuna potrebno pot, da vozilo dohiti drugo
		// podatki: drugo vozilo in razdalja med voziloma (km)
		float potDohitevanja(Vozilo drugo, float prednost);
};
#endif
